Subject: bug#24720: Performance impact of -no-pie

From: Alex <[email-masked]>
Date: Tue, 25 Oct 2016 22:30:31 -0600

Alex <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Alex <[email-masked]>
>>> Cc: [email-masked],  [email-masked],  [email-masked]
>>> Date: Wed, 19 Oct 2016 13:45:47 -0600
>>> 
>>> > The default switches are known, so they don't need to be spelled out
>>> > in the report.  It's the non-default ones that needs to be shown.
>>> 
>>> I agree that they don't need to be in the report, but just having them
>>> in a variable (e.g. system-configuration-options) would make it easier
>>> for users to see what the default switches are.
>>> 
>>> For example, I would have compared system-configuration-options between
>>> the slow and fast builds and noticed that the fast build had '-O2' while
>>> the slow one didn't, and this report wouldn't have been filed.
>>
>> You have that information in config.log, so I'm unsure why you
>> couldn't find it if you looked for it.
>
> Yes, in this case I could have looked in there, but that file is
> overwritten with every ./configure, right? That means there's no
> guarantee that what's listed there is for a given Emacs build.
>
> I think that configuration options should be tied to, and viewable
> through, Emacs regardless of the value it's set to. If report-emacs-bugs
> needs to know when to hide the options, then perhaps a new variable
> could be introduced for that purpose.

For example, in configure.ac, if the block that calculates
emacs_config_options was moved to the bottom before

AC_DEFINE_UNQUOTED(EMACS_CONFIG_OPTIONS, "${emacs_config_options}",
		   [Define to the options passed to configure.])

then system-configuration-options is:

"dummy pkg-config 'CFLAGS=-g3 -O2' 'CPPFLAGS=  ' 'LDFLAGS= '"

I'm not sure what 'dummy pkg-config' is doing there, but otherwise I
think that it would be nice to have this as the default.